aboutsummaryrefslogtreecommitdiff
path: root/network
diff options
context:
space:
mode:
authorr1w1s1 <r1w1s1@disroot.org>2024-08-03 09:14:11 +0900
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-08-03 14:15:45 +0700
commit9c9074173f286a058ab419cccac447933021fe3a (patch)
tree87759abade06b00d622bf1d1819b8006c3320c4b /network
parent0a424bfe428c4dc0bd87c620565b82489f14377d (diff)
network/senpai: Added (terminal irc client).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/senpai/README17
-rw-r--r--network/senpai/doinst.sh4
-rw-r--r--network/senpai/senpai.SlackBuild100
-rw-r--r--network/senpai/senpai.info10
-rw-r--r--network/senpai/slack-desc19
5 files changed, 150 insertions, 0 deletions
diff --git a/network/senpai/README b/network/senpai/README
new file mode 100644
index 0000000000000..ee0736cc03f12
--- /dev/null
+++ b/network/senpai/README
@@ -0,0 +1,17 @@
+Senpai IRC Client
+
+Senpai is a modern, feature-rich IRC client designed to provide an
+exceptional user experience with advanced functionality and
+customization options. Whether you are new to IRC or a seasoned user,
+Senpai has the tools and features you need.
+
+Features
+
+- **Sleek Modern Interface**: Intuitive and user-friendly design.
+- **Multi-Server Support**: Connect to multiple servers and channels
+ simultaneously.
+- **Scriptable Actions**: Automate tasks with custom scripts.
+- **Extensive Customization**: Tailor the client to your preferences.
+- **Secure Communication**: SSL support for secure connections.
+- **Detailed Logging**: Keep track of your conversations and activities.
+- **User Management**: Manage users with ease.
diff --git a/network/senpai/doinst.sh b/network/senpai/doinst.sh
new file mode 100644
index 0000000000000..4e8ba7071dea7
--- /dev/null
+++ b/network/senpai/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/network/senpai/senpai.SlackBuild b/network/senpai/senpai.SlackBuild
new file mode 100644
index 0000000000000..b34cf46a45cca
--- /dev/null
+++ b/network/senpai/senpai.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/bash
+#
+# Slackware build script for senpai
+#
+# DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
+# Version 2, December 2004
+#
+# Copyright (C) 2004 Sam Hocevar <sam@hocevar.net>
+#
+# Everyone is permitted to copy and distribute verbatim or modified
+# copies of this license document, and changing it is allowed as long
+# as the name is changed.
+#
+# DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
+# TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+#
+#
+# 0. You just DO WHAT THE FUCK YOU WANT TO.
+#
+# SlackBuild script for senpai
+# =============================
+# By: r1w1s1@disroot.org
+# For: senpai
+# Descr: Your everyday IRC student
+# URL: https://git.sr.ht/~delthas/senpai
+# Changelog:
+# v0.03.0: 01/August/2024 by r1w1s1 - Initial build.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=senpai
+VERSION=${VERSION:-0.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-v$VERSION
+tar xvf $CWD/$PRGNAM-v$VERSION.tar.gz || tar xvf $CWD/v$VERSION.tar.gz # not possible to get consistent filenames with sourcehut
+cd $PRGNAM-v$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Compile the source
+mkdir -p "$TMP/go-cache" "$TMP/go-tmpdir" "$TMP/go"
+export GOCACHE="${GOCACHE:-"$TMP/go-cache"}"
+export GOTMPDIR="${GOTMPDIR:-"$TMP/go-tmpdir"}"
+export GOMODCACHE="${GOMODCACHE:-"$TMP/go"}"
+export GIT_DISCOVERY_ACROSS_FILESYSTEM=1
+export SOURCE_DATE_EPOCH="${SOURCE_DATE_EPOCH:-$(date +%s)}"
+
+make PREFIX=/usr
+
+# Install the compiled binaries to the package directory
+make install PREFIX=/usr DESTDIR="$PKG"
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/senpai/senpai.info b/network/senpai/senpai.info
new file mode 100644
index 0000000000000..86051a3f3cdd9
--- /dev/null
+++ b/network/senpai/senpai.info
@@ -0,0 +1,10 @@
+PRGNAM="senpai"
+VERSION="0.3.0"
+HOMEPAGE="https://git.sr.ht/~delthas/senpai"
+DOWNLOAD="https://git.sr.ht/~delthas/senpai/archive/v0.3.0.tar.gz"
+MD5SUM="bdcfc0b495fac1a0435c1268283f2c1a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="google-go-lang scdoc"
+MAINTAINER="r1w1s1"
+EMAIL="r1w1s1@disroot.org"
diff --git a/network/senpai/slack-desc b/network/senpai/slack-desc
new file mode 100644
index 0000000000000..8f9705af4a897
--- /dev/null
+++ b/network/senpai/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+senpai: senpai (A modern, feature-rich IRC client)
+senpai:
+senpai: Senpai is an advanced IRC client designed for ease of use and
+senpai: versatility. It features a sleek, modern interface and supports
+senpai: multiple servers and channels, scriptable actions, and extensive
+senpai: customization options. Senpai is built for both newcomers and
+senpai: experienced users, offering a powerful set of tools to enhance
+senpai: your IRC experience. It also supports SSL for secure communication
+senpai: and provides detailed logging and user management features.
+senpai:
+senpai: Home page: https://git.sr.ht/~delthas/senpai